<div class="limiter">
  <div class="container-login100">
    <div class="wrap-login100">
      <form class="login100-form validate-form" [formGroup]="loginForm" (ngSubmit)="onSubmit()">
        <span class="login100-form-title pb-5">
          Login
        </span>
        <div class="d-flex justify-content-between lbl-alert">
          <div>
            <button mat-raised-button type="button" (click)="adminSet();">Admin</button>
          </div>
          <div>
            <button mat-raised-button color="primary" type="button" (click)="doctorSet();">Doctor</button>
          </div>
          <div>
            <button mat-raised-button color="accent" type="button" (click)="patientSet();">Paciente</button>
          </div>
        </div>
        <div class="row">
          <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
            <mat-form-field class="example-full-width" appearance="outline">
              <mat-label>Correo Electrónico</mat-label>
              <input matInput formControlName="username" value="admin" />
              <mat-icon matSuffix>face</mat-icon>
            </mat-form-field>
          </div>
        </div>
        <div class="row">
          <div class="col-xl-12col-lg-12 col-md-12 col-sm-12 mb-2">
            <mat-form-field class="example-full-width" appearance="outline">
              <mat-label>Contraseña</mat-label>
              <input matInput [type]="hide ? 'password' : 'text'" formControlName="password">
              <a class="show-pwd-icon" href="#" onClick="return false;" matSuffix (click)="hide = !hide"
                [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
              </a>
            </mat-form-field>
          </div>
        </div>
        <div class="flex-sb-m w-full p-t-15 p-b-20">
          <div>
            <a class="txt1" routerLink="/authentication/forgot-password">¿Olvide mi contraseña?</a>
          </div>
        </div>
        <div class="container-login100-form-btn">
          <button mat-flat-button color="primary" class="login100-form-btn" type="submit">
            Login
          </button>
        </div>
        <div *ngIf="error" class="alert alert-danger mt-3 mb-0">{{error}}</div>
        <div class="text-center p-t-30 p-b-20">
          <span class="txt3">
            o <a routerLink="/authentication/signup">
              Registrarse
            </a>
          </span>
        </div>
      </form>
      <div class="login100-more" style="background-image: url('assets/images/pages/bg-01.png');">
      </div>
    </div>
  </div>
</div>
